## kdecoration 5.17.5

=== debian/changelog ===
kdecoration (4:5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 20:49:06 +0100

kdecoration (4:5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Salsa CI automatic initialization by Tuco
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.62.0
    - explicitly add gettext
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop old breaks/replaces.
  * Drop the migration from libkdecorations2-dbg, no more needed after two
    Debian stable releases.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Add Build-Depends-Package in symbols files.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Use https for Format in copyright.

 -- Pino Toscano <pino@debian.org>  Sun, 12 Jan 2020 13:43:54 +0100

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.62.0~),
               gettext,
               libkf5i18n-dev (>= 5.62.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.12.0~),
Standards-Version: 4.5.0
Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git

Package: libkdecorations2-5v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.14),
        kwin-decoration-oxygen (<< 4:5.14),
        kwin-style-breeze (<< 4:5.14),
        kwin-wayland (<< 4:5.12),
        kwin-wayland-backend-drm (<< 4:5.12),
        kwin-wayland-backend-fbdev (<< 4:5.12),
        kwin-wayland-backend-virtual (<< 4:5.12),
        kwin-wayland-backend-wayland (<< 4:5.12),
        kwin-wayland-backend-x11 (<< 4:5.12),
        kwin-x11 (<< 4:5.12),
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private6 (= ${binary:Version}),
         qtbase5-dev (>= 5.12.0~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2private6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.14),
        kwin-wayland (<< 4:5.12),
        kwin-wayland-backend-drm (<< 4:5.12),
        kwin-wayland-backend-fbdev (<< 4:5.12),
        kwin-wayland-backend-virtual (<< 4:5.12),
        kwin-wayland-backend-wayland (<< 4:5.12),
        kwin-wayland-backend-x11 (<< 4:5.12),
        kwin-x11 (<< 4:5.12),
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 5.18.4.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(decoration-api)
set(PROJECT_VERSION "5.18.4")

set(QT_MIN_VERSION "5.12.0")
set(KF5_MIN_VERSION "5.66.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(FeatureSummary)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(KDEClangFormat)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KDECORATION2
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2ConfigVersion.cmake"
                        SOVERSION 5)

#dependencies
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    Test
)

# require at least gcc 4.8
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if ("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "4.8")
        message(SEND_ERROR "Version ${CMAKE_CXX_COMPILER_VERSION} of the ${CMAKE_CXX_COMPILER_ID} C++ compiler is not supported. Please use version 4.8 or later.")
    endif()
endif()

set(KDECORATION2_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDecoration2")
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
endif()

# Subdirectories
add_subdirectory(src)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KDecoration2")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDecoration2Config.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2Config.cmake"
                                  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                  )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2Config.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2ConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KDecoration2Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KDecoration2Targets.cmake NAMESPACE KDecoration2:: )


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== autotests/CMakeLists.txt ===
include(ECMMarkAsTest)

set(decorationButtonTest_SRCS
    mockbridge.cpp
    mockbutton.cpp
    mockclient.cpp
    mockdecoration.cpp
    mocksettings.cpp
    decorationbuttontest.cpp
    )
add_executable(decorationButtonTest ${decorationButtonTest_SRCS})
target_link_libraries(decorationButtonTest kdecorations2 kdecorations2private Qt5::Test)
add_test(NAME kdecoration2-decorationButtonTest COMMAND decorationButtonTest)
ecm_mark_as_test(decorationButtonTest)

set(decorationTest_SRCS
    mockbridge.cpp
    mockbutton.cpp
    mockclient.cpp
    mockdecoration.cpp
    mocksettings.cpp
    decorationtest.cpp
    )
add_executable(decorationTest ${decorationTest_SRCS})
target_link_libraries(decorationTest kdecorations2 kdecorations2private Qt5::Test)
add_test(NAME kdecoration2-decorationTest COMMAND decorationTest)
ecm_mark_as_test(decorationTest)

set(decorationShadowTest_SRCS
    shadowtest.cpp
    )
add_executable(decorationShadowTest ${decorationShadowTest_SRCS})
target_link_libraries(decorationShadowTest kdecorations2 Qt5::Test)
add_test(NAME kdecoration2-decorationShadowTest COMMAND decorationShadowTest)
ecm_mark_as_test(decorationShadowTest)

=== src/private/CMakeLists.txt ===
set(libkdecoration2Private_SRCS
    decoratedclientprivate.cpp
    decorationbridge.cpp
    decorationsettingsprivate.cpp
)

add_library(kdecorations2private SHARED ${libkdecoration2Private_SRCS})

generate_export_header(
    kdecorations2private
BASE_NAME
    KDECORATIONS_PRIVATE
EXPORT_FILE_NAME
    kdecoration2/private/kdecoration2_private_export.h
)

add_library(KDecoration2::KDecorationPrivate ALIAS kdecorations2private)

target_link_libraries(kdecorations2private
    PUBLIC
        Qt5::Core
        Qt5::Gui
)

target_include_directories(kdecorations2private INTERFACE "$<INSTALL_INTERFACE:${KDECORATION2_INCLUDEDIR}>" )

set_target_properties(kdecorations2private PROPERTIES VERSION   ${KDECORATION2_VERSION_STRING}
                                                      SOVERSION 7
                                                      EXPORT_NAME KDecoration2Private
)

ecm_generate_headers(KDecoration2Private_CamelCase_HEADERS
  HEADER_NAMES
    DecoratedClientPrivate
    DecorationBridge
    DecorationSettingsPrivate
  PREFIX
    KDecoration2/Private
  REQUIRED_HEADERS KDecoration2Private_HEADERS
)
install(FILES ${KDecoration2Private_CamelCase_HEADERS}
        DESTINATION ${KDECORATION2_INCLUDEDIR}/KDecoration2/Private
        COMPONENT Devel)

install(TARGETS kdecorations2private EXPORT KDecoration2Targets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kdecoration2/private/kdecoration2_private_export.h
        ${KDecoration2Private_HEADERS}
    DESTINATION
        ${KDECORATION2_INCLUDEDIR}/kdecoration2/private
    COMPONENT
        Devel
)

=== debian/changelog ===
kdecoration (4:5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:54 +0100

kdecoration (4:5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:07:19 +0000

kdecoration (4:5.18.2-0ubuntu2) focal; urgency=medium

  * Update symbols.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 27 Feb 2020 19:06:37 +0000

kdecoration (4:5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:31 +0000

kdecoration (4:5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:36:21 +0000

kdecoration (4:5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)
  * Rename package for SONAME bump:
    - libkdecorations2private6 -> libkdecorations2private7

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:41 +0000

kdecoration (4:5.17.90-0ubuntu2) focal; urgency=medium

  * debian/tests: Follow debian in dropping the testsuite.

 -- Rik Mills <rikmills@kde.org>  Sun, 19 Jan 2020 12:31:43 +0000

kdecoration (4:5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:34 +0000

kdecoration (4:5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:44:10 +0000

kdecoration (4:5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:27 +0000

kdecoration (4:5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:04:17 +0000

kdecoration (4:5.17.2-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:30 +0000

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.66.0~),
               libkf5i18n-dev (>= 5.66.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration

Package: libkdecorations2-5v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.8),
        kwin-decoration-oxygen (<< 4:5.8),
        kwin-style-breeze (<< 4:5.8),
        libkdecorations2-5,
Replaces: libkdecorations2-5
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private7 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2private7
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.8),
        libkdecorations2private5,
        libkdecorations2private6,
Replaces: libkdecorations2private5,
          libkdecorations2private5v5,
          libkdecorations2private6,
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='libkdecorations2-dbg (<= 4:5.5.5-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kdecoration 5.19.5

=== debian/changelog ===
kdecoration (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:53:10 +0100

kdecoration (4:5.19.4-0ubuntu2) groovy; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Aug 2020 18:42:32 +0100

kdecoration (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:41:28 +0100

kdecoration (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:58:23 +0100

kdecoration (4:5.19.2-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:44:56 +0100

kdecoration (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:39:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.66.0~),
-               libkf5i18n-dev (>= 5.66.0~),
+               extra-cmake-modules (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.3

## kdecoration 5.20.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,14 +1,14 @@
 cmake_minimum_required(VERSION 3.0)
 
 project(decoration-api)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.20.5")
 
-set(QT_MIN_VERSION "5.12.0")
-set(KF5_MIN_VERSION "5.66.0")
+set(QT_MIN_VERSION "5.15.0")
+set(KF5_MIN_VERSION "5.74")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
-set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -41,10 +41,9 @@
 
 set(KDECORATION2_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDecoration2")
 find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
-if (EXISTS "${CMAKE_SOURCE_DIR}/.git")
-   add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-   add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
-endif()
+
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
 
 # Subdirectories
 add_subdirectory(src)

=== debian/changelog ===
kdecoration (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:51 +0900

kdecoration (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:36 +0900

kdecoration (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).

  [ Pino Toscano ]
  * Update lintian overrides.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Tighten the inter-library dependencies.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:31 +0900

kdecoration (4:5.19.5-4) unstable; urgency=high

  [ Norbert Preining ]
  * Tighten breaks against kwin packages to ensure synced install
    (Closes: #974019).

 -- Norbert Preining <norbert@preining.info>  Tue, 10 Nov 2020 05:32:39 +0900

kdecoration (4:5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove obsolete entries from d/upstream/metadata as
    they are already defined in d/copyright.
  * Add Mutli-Arch support, Used same as suggested
    by multiarch-hints.
  * Bump -dev runtime dep on qtbase5-dev to match build
    version.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:22 +0900

kdecoration (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:39 +0900

kdecoration (4:5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 10:31:42 +0900

kdecoration (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * So version bump to 7 for libkdecorations2private lib.
    - Rename package to libkdecorations2private7.
    - update install file.
    - rename snd update symbols file.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.
  * Refresh symbol files.

  [ Patrick Franz ]
  * Add hardening=+all build flag.
  * Update data in /debian/upstream/metadata.
  * New upstream release (5.19.4).
  * Bump Qt build-dependencies to 5.14.
  * Add Lintian-override for spelling-error in libkdecorations2-5v5.
  * Change Maintainer in debian/control to Debian Qt/KDE Maintainers.
  * Remove Maxy from Uploaders as requested.
  * Bump KF5 build-dependencies to 5.70.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 22:35:21 +0200

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74~),
               gettext,
               libkf5i18n-dev (>= 5.74~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.0~)
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/kdecoration
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
Rules-Requires-Root: no

Package: libkdecorations2-5v5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.19),
        kwin-decoration-oxygen (<< 4:5.19),
        kwin-style-breeze (<< 4:5.19),
        kwin-wayland (<< 4:5.19),
        kwin-wayland-backend-drm (<< 4:5.19),
        kwin-wayland-backend-fbdev (<< 4:5.19),
        kwin-wayland-backend-virtual (<< 4:5.19),
        kwin-wayland-backend-wayland (<< 4:5.19),
        kwin-wayland-backend-x11 (<< 4:5.19),
        kwin-x11 (<< 4:5.19)
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private7 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.0~),
         ${misc:Depends}
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2private7
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.19),
        kwin-wayland (<< 4:5.19),
        kwin-wayland-backend-drm (<< 4:5.19),
        kwin-wayland-backend-fbdev (<< 4:5.19),
        kwin-wayland-backend-virtual (<< 4:5.19),
        kwin-wayland-backend-wayland (<< 4:5.19),
        kwin-wayland-backend-x11 (<< 4:5.19),
        kwin-x11 (<< 4:5.19)
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 5.21.4

=== debian/changelog ===
kdecoration (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:08:57 +0100

kdecoration (4:5.21.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:32:51 +0000

kdecoration (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:11:53 +0000

kdecoration (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:05:26 +0000

kdecoration (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:21:08 +0000

kdecoration (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Rename package according to SONAME bump:
    - libkdecorations2private7 -> libkdecorations2private8
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:44:09 +0000

kdecoration (4:5.20.5-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Do not adopt group breaks.
    - Keep lintian overrides.
    - debian.tests: Disable.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Jan 2021 15:44:56 +0000

kdecoration (4:5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:03:44 +0000

kdecoration (4:5.20.4-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Do not adopt group breaks.
    - Keep lintian overrides.
    - debian.tests: Disable.

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Dec 2020 12:40:56 +0000

kdecoration (4:5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:48:56 +0000

kdecoration (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:52:36 +0000

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>,
           Patrick Franz <patfra71@gmail.com>,
           Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.74~),
               gettext,
               libkf5i18n-dev (>= 5.74~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.15.0~),
Standards-Version: 4.5.1
Homepage: https://invent.kde.org/plasma/kdecoration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Rules-Requires-Root: no

Package: libkdecorations2-5v5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.19),
        kwin-decoration-oxygen (<< 4:5.19),
        kwin-style-breeze (<< 4:5.19),
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private8 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.0~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2private8
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.19),
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 5.22.5

=== debian/changelog ===
kdecoration (4:5.22.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 00:46:07 +0200

kdecoration (4:5.22.4-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 27 Jul 2021 13:42:15 +0100

kdecoration (4:5.22.3-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 06 Jul 2021 14:05:39 +0100

kdecoration (4:5.22.2.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 21:51:43 +0100

kdecoration (4:5.22.2-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Jun 2021 18:57:18 +0100

kdecoration (4:5.22.1-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Jun 2021 14:09:14 +0100

kdecoration (4:5.22.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.22.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 11:52:52 +0100

kdecoration (4:5.21.5-0ubuntu1) impish; urgency=medium

  * New upstream release (5.21.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 May 2021 17:01:48 +0100

=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.0~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.74~),
+               extra-cmake-modules (>= 5.82.0~),
                gettext,
-               libkf5i18n-dev (>= 5.74~),
+               libkf5i18n-dev (>= 5.82.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1

## kdecoration 5.24.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,24 +1,27 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.16)
 
 project(decoration-api)
-set(PROJECT_VERSION "5.20.5")
+set(PROJECT_VERSION "5.24.4")
 
 set(QT_MIN_VERSION "5.15.0")
-set(KF5_MIN_VERSION "5.74")
+set(KF5_MIN_VERSION "5.86")
+set(KDE_COMPILERSETTINGS_LEVEL "5.82")
 
 find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} )
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMGenerateExportHeader)
 include(FeatureSummary)
 include(GenerateExportHeader)
 include(CMakePackageConfigHelpers)
 include(KDEClangFormat)
+include(KDEGitCommitHooks)
 
 ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KDECORATION2
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h"
@@ -41,9 +44,11 @@
 
 set(KDECORATION2_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDecoration2")
 find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF5CoreAddons ${KF5_MIN_VERSION} CONFIG REQUIRED)
 
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
 add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054200)
+add_definitions(-DQT_NO_KEYWORDS)
 
 # Subdirectories
 add_subdirectory(src)
@@ -54,9 +59,10 @@
 # add clang-format target for all our real source files
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
 kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
+kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
 
 # create a Config.cmake and a ConfigVersion.cmake file and install them
-set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KDecoration2")
+set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KDecoration2")
 
 configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDecoration2Config.cmake.in"
                                   "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2Config.cmake"
@@ -72,7 +78,7 @@
 
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h
-        DESTINATION ${KF5_INCLUDE_INSTALL_DIR} COMPONENT Devel )
+        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"kdecoration\")

add_subdirectory(private)

set(libkdecoration2_SRCS
    decoratedclient.cpp
    decoratedclient.h
    decorationbutton.cpp
    decorationbuttongroup.cpp
    decorationbuttongroup.h
    decorationbuttongroup_p.h
    decorationbutton.h
    decorationbutton_p.h
    decoration.cpp
    decorationdefines.h
    decoration.h
    decoration_p.h
    decorationsettings.cpp
    decorationsettings.h
    decorationshadow.cpp
    decorationshadow.h
    decorationshadow_p.h
    decorationthemeprovider.cpp
    decorationthemeprovider.h

)

add_library(kdecorations2 SHARED ${libkdecoration2_SRCS})
ecm_generate_export_header(kdecorations2
                                                VERSION ${PROJECT_VERSION}
                                                EXPORT_FILE_NAME kdecoration2/kdecoration2_export.h
                                                DEPRECATION_VERSIONS 5.21
                                                EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

add_library(KDecoration2::KDecoration ALIAS kdecorations2)

target_link_libraries(kdecorations2
    PUBLIC
        Qt::Core
        Qt::Gui
    PRIVATE
        kdecorations2private
        KF5::I18n
        KF5::CoreAddons
)

target_include_directories(kdecorations2 INTERFACE "$<INSTALL_INTERFACE:${KDECORATION2_INCLUDEDIR}>" )

set_target_properties(kdecorations2 PROPERTIES VERSION   ${KDECORATION2_VERSION}
                                               SOVERSION ${KDECORATION2_SOVERSION}
                                               EXPORT_NAME KDecoration
)

ecm_generate_headers(KDecoration2_CamelCase_HEADERS
  HEADER_NAMES
    DecoratedClient
    Decoration
    DecorationButton
    DecorationButtonGroup
    DecorationSettings
    DecorationShadow
    DecorationThemeProvider
  PREFIX
    KDecoration2
  REQUIRED_HEADERS KDecoration2_HEADERS
)
install(FILES ${KDecoration2_CamelCase_HEADERS}
        DESTINATION ${KDECORATION2_INCLUDEDIR}/KDecoration2
        COMPONENT Devel)

install(TARGETS kdecorations2 EXPORT KDecoration2Targets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/kdecoration2/kdecoration2_export.h
        ${KDecoration2_HEADERS}
        decorationdefines.h
    DESTINATION
        ${KDECORATION2_INCLUDEDIR}/kdecoration2
    COMPONENT
        Devel
)

=== src/private/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,10 @@
 set(libkdecoration2Private_SRCS
     decoratedclientprivate.cpp
+    decoratedclientprivate.h
     decorationbridge.cpp
+    decorationbridge.h
     decorationsettingsprivate.cpp
+    decorationsettingsprivate.h
 )
 
 add_library(kdecorations2private SHARED ${libkdecoration2Private_SRCS})
@@ -18,14 +21,14 @@
 
 target_link_libraries(kdecorations2private
     PUBLIC
-        Qt5::Core
-        Qt5::Gui
+        Qt::Core
+        Qt::Gui
 )
 
 target_include_directories(kdecorations2private INTERFACE "$<INSTALL_INTERFACE:${KDECORATION2_INCLUDEDIR}>" )
 
-set_target_properties(kdecorations2private PROPERTIES VERSION   ${KDECORATION2_VERSION_STRING}
-                                                      SOVERSION 7
+set_target_properties(kdecorations2private PROPERTIES VERSION   ${KDECORATION2_VERSION}
+                                                      SOVERSION 9
                                                       EXPORT_NAME KDecoration2Private
 )

=== debian/changelog ===
kdecoration (4:5.24.4-0ubuntu1) jammy; urgency=medium

  * New upstream bugfix release (5.24.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Mar 2022 10:19:36 +0100

kdecoration (4:5.24.3-0ubuntu1) jammy; urgency=medium

  * Update maintainer to Kubuntu Developers.
  * New upstream release (5.24.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 08 Mar 2022 12:14:08 +0000

kdecoration (4:5.24.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 22 Feb 2022 15:01:05 +0000

kdecoration (4:5.24.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Feb 2022 14:20:39 +0000

kdecoration (4:5.24.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.24.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Feb 2022 21:26:43 +0000

kdecoration (4:5.23.90-0ubuntu1) jammy; urgency=medium

  * New upstream beta release (5.23.90)
  * New build depend on libkf5coreaddons-dev
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Jan 2022 10:18:11 +0000

kdecoration (4:5.23.5-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 04 Jan 2022 10:40:01 +0000

kdecoration (4:5.23.4-0ubuntu2) jammy; urgency=medium

  * Update upstream signing key

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 31 Dec 2021 13:51:29 +0000

kdecoration (4:5.23.4-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 30 Nov 2021 21:56:04 +0000

kdecoration (4:5.23.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Nov 2021 11:17:14 +0000

kdecoration (4:5.23.2-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.1)
  * New upstream release (5.23.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 05 Nov 2021 07:49:31 +0000

kdecoration (4:5.23.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.23.0)
  * Adapt to soname bump:
    - libkdecorations2private8 -> libkdecorations2private9
  * Update symbols from build logs.
  * Update build deps from cmake.

 -- Rik Mills <rikmills@kde.org>  Mon, 18 Oct 2021 17:51:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: kdecoration
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Scarlett Moore <sgmoore@kde.org>,
            Patrick Franz <patfra71@gmail.com>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.0~),
+           Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.82.0~),
+               extra-cmake-modules (>= 5.90.0~),
                gettext,
-               libkf5i18n-dev (>= 5.82.0~),
+               libkf5coreaddons-dev (>= 5.90.0~),
+               libkf5i18n-dev (>= 5.90.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
@@ -35,7 +37,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkdecorations2-5v5 (= ${binary:Version}),
-         libkdecorations2private8 (= ${binary:Version}),
+         libkdecorations2private9 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.0~),
          ${misc:Depends},
 Description: library to create window decorations - development files
@@ -45,11 +47,11 @@
  .
  This package contains the development files.
 
-Package: libkdecorations2private8
+Package: libkdecorations2private9
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.19),
+Breaks: kwin-common (<< 4:5.19)
 Description: library to create window decorations - private library
  KDecoration2 is a library to create window decorations. These window
  decorations can be used by for example an X11 based window manager
